<section class="section-padding pb-4 pt-0 bg-gray">
    <div class="container mb-4 p-0 position-relative" id="banner">
        <div class="row g-3 position-absolute d-none d-md-flex d-sm-none" id="show-subcat">
            <div class="col-md-3 col-sm-12 mb-3" *ngIf="showCategorySection">
                <div class="banner_category-list">
                    <h6 class="mb-4">Categories</h6>
                    <ul>
                        <li class="cursor-pointer mb-3" *ngFor="let TItem of _DataService._CategoriesSorted ; let i = index; let last = last;"
                            (click)="navigateToRoute(['/category/' + convertRouteName(TItem.Name)], TItem)" (mouseover)="openSubcatSection(TItem)">
                            <img [src]="TItem.IconUrl" width="25" height="25" alt="" class="mr-3">
                            <span [ngClass]="{'active': TItem.Name == (_SelectedCategoryForSearch?.Name)}">{{TItem.Name}}</span>
                        </li>
                    </ul>
                </div>
            </div>
            <div class="col-md-9 col-sm-12 mb-3 p-0 banner_category-list-sub">
                <div class="banner_category-list row">
                    <div class="col-md-7 col-sm-12">
                        <h6 class="text-underline mb-4">Available Subcategories for {{selectedCategory?.Name}}</h6>
                        <ul>
                            <li *ngFor="let item of selectedCategory?.SubCategories" class="cursor-pointer mb-2" (mouseover)="selectedSubCatImg = item"> 
                                <a (click)="navigateToRoute(['/category/' + convertRouteName(selectedCategory.Name)+ '/subcategory/' + convertRouteName(item?.Name)], selectedCategory)">{{item?.Name}}</a>
                            </li>
                        </ul>
                    </div>
                    <div class="col-md-5 col-sm-12 pr-4 py-4 Subcate_bannerImg" *ngIf="selectedSubCatImg && selectedSubCatImg.IconUrl">
                        <img [src]="selectedSubCatImg.IconUrl ? selectedSubCatImg.IconUrl : ''" alt="img" width="100%">
                    </div>
                </div>
            </div>
        </div>
        <div class="row g-3 position-relative">
            <div class="col-md-3 col-sm-12 mb-3 d-none d-md-flex d-sm-none" *ngIf="showCategorySection">
                <div class="banner_category-list">
                    <h6 class="mb-4">Categories</h6>
                    <ul>
                        <li class="cursor-pointer mb-3" *ngFor="let TItem of _DataService._CategoriesSorted ; let i = index; let last = last;" (click)="openSubcatSection(TItem)" (mouseover)="openSubcatSection(TItem)">
                            <img [src]="TItem.IconUrl" width="25" height="25" alt="" class="mr-3">
                            <span>{{TItem.Name}}</span>
                        </li>
                    </ul>
                </div>
            </div>
            <div class="col-md-9 col-sm-12 mt-0 p-0 banner-block z-index__100" [ngClass]="{'col-md-9': showCategorySection, 'col-md-12': !showCategorySection}">
                <div class="banner_flash-deals">
                    <div class="row g-3 d-none d-md-flex d-sm-none">
                        <div class="col-lg-3 col-md-6 col-sm-12">
                            <a routerLink="/category/goods/subcategory/phones&gadgets" target="_blank">
                                <img width="100%" src="assets/images/brand/Artboard_9.webp" alt="banner 1">
                            </a>
                        </div>
                        <div class="col-lg-3 col-md-6 col-sm-12">
                            <a  routerLink="/category/beauty&spa" target="_blank">
                                <img width="100%" src="assets/images/brand/Artboard_10.webp" alt="banner 1">
                            </a>
                        </div>
                        <div class="col-lg-3 col-md-6 col-sm-12">
                            <a routerLink="/category/goods/subcategory/home&kitchen" target="_blank">
                                <img width="100%" src="assets/images/brand/Artboard_11.webp" alt="banner 1">
                            </a>
                        </div>
                        <div class="col-lg-3 col-md-6 col-sm-12">
                            <a routerLink="/category/health&fitness" target="_blank">
                                <img width="100%" src="assets/images/brand/Artboard_12.webp" alt="banner 1">
                            </a>
                        </div>
                    </div>
                    <div class="row g-3">
                        <div class="col-12" [ngClass]="{'z-index__zero': !showCategorySection}">
                            <ngb-carousel [interval]="5000">
                                <ng-template ngbSlide *ngFor="let TItem of banners">
                                    <div class="picsum-img-wrapper" (click)="HomeSl1Click(TItem)">
                                        <a [routerLink]="['/deals']" ><img class="homesl1" [src]="TItem" /> </a>
                                    </div>
                                </ng-template>
                            </ngb-carousel>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="container" id="deals-carousel">
        <div class="form-row mb-5" *ngIf="_HelperService.IsProcessing || _DataService._DealsPromotioDoD.length > 0">
            <div class="col-12 deals-carousel-item_header flash-top d-flex align-items-center justify-content-between">
                <h6 class="mb-0 px-3">
                    <span>Flash Deals</span>
                </h6>
                <span class="time-left">Time Left: <countdown [config]="{leftTime: flashCountDown}"></countdown> </span>
                <span class="cursor-pointer text-dark fs-16" routerLink="/deals" [queryParams]="{'category': 'flash-deals'}">See all
                    <i class="fa fa-angle-right"></i>
                </span>
            </div>
            <div class="col-12 p-0" *ngIf="_DataService._DealsPromotioDoD.length > 0">
                <owl-carousel-o [options]="_SLGen" (dragging)="on_carouselDrag($event.dragging)" *ngIf="_DataService._DealsPromotioDoD">
                    <ng-container *ngFor="let TItem of _DataService._DealsPromotioDoD">
                        <ng-template carouselSlide [id]="TItem.ReferenceKey" [width]="innerWidth > 575.98 ? 294 : 191">
                            <a (click)="navigateToRoute(['/buydeal/', TItem.Slug], TItem)" class="cursor-pointer">
                                <div class="custom-card shadow-sm h-100" [ngStyle]="{'opacity': TItem.IsSoldout ? '0.7': '1'}">
                                    <span class="dealtimer soldout-badge" *ngIf="TItem.IsSoldout">
                                        SOLD OUT
                                    </span>
                                    <span class="dealtimer new-deal-badge" *ngIf="false">
                                        NEW
                                    </span>
                                    <div class="custom-card-image">
                                        <img class="img-fluid item-img" src="{{TItem.ImageUrl}}">
                                    </div>
                                    <div class="p-3 pt-4">
                                        <div class="custom-card-body">
                                            <div class="mb-2 Ttitle">
                                                <a class="text-black text-limit-2">{{TItem.Title}}</a>
                                            </div>
                                            <p class="text-limit-1">
                                                <i class="fa fa-location-dot"></i>&nbsp;{{TItem?.CityAreaName}},{{TItem?.CityName}}
                                            </p>
                                        </div>
                                        <div class="custom-card-footer mb-2 d-flex justify-content-between">
                                            <div class="d-flex">
                                                <div class="discount-price px-2">
                                                    <span [innerHtml]="_HelperService.AppConfig.CurrencySymbol"></span> {{TItem.SellingPrice | number: "1.0-1" || "--"}}
                                                </div>
                                                <div class="actual-price px-2">
                                                    <span [innerHtml]="_HelperService.AppConfig.CurrencySymbol"></span> {{TItem.ActualPrice | number: "1.0-1" || "--"}}
                                                </div> 
                                            </div>
                                            <div>
                                                <button class="discount-btn btn">
                                                    {{TItem.DiscountPercentage || calculatePercentageOff(TItem.ActualPrice, TItem.SellingPrice) }} % off
                                                </button>
                                            </div>
                                        </div>
                                        <div class="expiry-section">
                                            <span>Expire in  <countdown [config]="{leftTime: flashCountDown}"></countdown>  
                                                    ({{TItem.ItemCount}} units left)</span>
                                        </div>
                                    </div>
                                </div>
                            </a>
                        </ng-template>
                    </ng-container>
                </owl-carousel-o>
            </div>
            <div class="col-12 p-0" *ngIf="_HelperService.IsProcessing && _DataService._DealsPromotioDoD.length == 0">
                <ng-container [ngTemplateOutlet]="skeletonLoaderTemplate"></ng-container>
            </div>
        </div>
        <div class="form-row mb-5" *ngIf="_HelperService.IsProcessing  || _DataService._DealsPromotionTop.length > 0">
            <div class="col-12 deals-carousel-item_header flash-top d-flex align-items-center">
                <h6 class="mb-0 px-3 d-flex justify-content-between w-100">
                    <span>Top Deals</span>
                    <span class="cursor-pointer" routerLink="/deals" [queryParams]="{'category': 'top-deals'}">See all
                        <i class="fa fa-angle-right"></i>
                    </span>
                </h6>
            </div>
            <div class="col-12 p-0" *ngIf="_DataService._DealsPromotionTop.length > 0">
                <owl-carousel-o [options]="_SLGen" (dragging)="on_carouselDrag($event.dragging)" *ngIf="_DataService._DealsPromotionTop">
                    <ng-container *ngFor="let TItem of _DataService._DealsPromotionTop">
                        <ng-template carouselSlide [id]="TItem.ReferenceKey" [width]="innerWidth > 575.98 ? 294 : 191">
                            <a (click)="navigateToRoute(['/buydeal/', TItem.Slug], TItem)" class="cursor-pointer">
                                <div class="custom-card shadow-sm h-100" [ngStyle]="{'opacity': TItem.IsSoldout ? '0.7': '1'}">
                                    <span class="dealtimer soldout-badge" *ngIf="TItem.IsSoldout">
                                        SOLD OUT
                                    </span>
                                    <span class="dealtimer new-deal-badge" *ngIf="false">
                                        NEW
                                    </span>
                                    <div class="custom-card-image">
                                        <img class="img-fluid item-img" src="{{TItem.ImageUrl}}">
                                    </div>
                                    <div class="p-3 pt-4">
                                        <div class="custom-card-body">
                                            <div class="mb-2 Ttitle">
                                                <a class="text-black text-limit-2">{{TItem.Title}}</a>
                                            </div>
                                            <p class="text-limit-1">
                                                <i class="fa fa-location-dot"></i>&nbsp;{{TItem?.CityAreaName}},{{TItem?.CityName}}
                                            </p>
                                        </div>
                                        <div class="custom-card-footer mb-2 d-flex justify-content-between">
                                            <div class="d-flex">
                                                <div class="discount-price px-2">
                                                    <span [innerHtml]="_HelperService.AppConfig.CurrencySymbol"></span> {{TItem.SellingPrice | number: "1.0-1" || "--"}}
                                                </div>
                                                <div class="actual-price px-2">
                                                    <span [innerHtml]="_HelperService.AppConfig.CurrencySymbol"></span> {{TItem.ActualPrice | number: "1.0-1" || "--"}}
                                                </div> 
                                            </div>
                                            <div>
                                                <button class="discount-btn btn">
                                                    {{TItem.DiscountPercentage || calculatePercentageOff(TItem.ActualPrice, TItem.SellingPrice) }} % off
                                                </button>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </a>
                        </ng-template>
                    </ng-container>
                </owl-carousel-o>
            </div>
            <div class="col-12 p-0" *ngIf="_HelperService.IsProcessing && _DataService._DealsPromotionTop.length == 0">
                <ng-container [ngTemplateOutlet]="skeletonLoaderTemplate"></ng-container>
            </div>
        </div>

        <!-- Official Stores -->
        <!-- TODO:: Awaiting implementation -->
        <div class="form-row mb-5" *ngIf="_DataService._MerchantsSorted.length > 0">
            <div class="col-12 deals-carousel-item_header d-flex align-items-center">
                <h6 class="mb-0 px-3 d-flex justify-content-between w-100">
                    <span>Official Stores</span>
                    <span class="cursor-pointer" routerLink="/stores">See all
                        <i class="fa fa-angle-right"></i>
                    </span>
                </h6>
            </div>
            <div class="col-12 p-3 bg-white" id="official-stores">
                <div class="row g-3 justify-content-center">
                    <div class="col-6 col-md-2 col-sm-6 col-xs-6" *ngFor="let TItem of _DataService._MerchantsSorted.slice(0, 24);" routerLink="/stores/{{TItem.ReferenceKey}}">
                        <div class="category-off-item cursor-pointer  position-relative" 
                            [ngStyle]="{'background-image': 'url('+ _HelperService.replaceImageSrc(TItem.IconUrl, TItem.CategoryDistribution[0].CategoryName)+')'}">
                            <span class="m-0 store-logo-text text-center position-absolute text-capitalize">
                                {{cutString(TItem.Name)}}
                            </span>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <div class="form-row mb-5" *ngIf="_HelperService.IsProcessing || _DataService._DealsPromotionFeatured.length > 0">
            <div class="col-12 deals-carousel-item_header flash-top d-flex align-items-center header_ftd">
                <h6 class="mb-0 px-3 d-flex justify-content-between w-100">
                    <span>Featured Deals</span>
                    <span class="cursor-pointer" routerLink="/deals" [queryParams]="{'category': 'featured-deals'}">See
                        all
                        <i class="fa fa-angle-right"></i>
                    </span>
                </h6>
            </div>
            <div class="col-12 p-0" *ngIf="_DataService._DealsPromotionFeatured.length > 0">
                <owl-carousel-o [options]="_SLGen" (dragging)="on_carouselDrag($event.dragging)" *ngIf="_DataService._DealsPromotionFeatured">
                    <ng-container *ngFor="let TItem of _DataService._DealsPromotionFeatured">
                        <ng-template carouselSlide [id]="TItem.ReferenceKey" [width]="innerWidth > 575.98 ? 294 : 191">
                            <a (click)="navigateToRoute(['/buydeal/', TItem.Slug], TItem)" class="cursor-pointer">
                                <div class="custom-card shadow-sm h-100" [ngStyle]="{'opacity': TItem.IsSoldout ? '0.7': '1'}">
                                    <span class="dealtimer soldout-badge" *ngIf="TItem.IsSoldout">
                                        SOLD OUT
                                    </span>
                                    <span class="dealtimer new-deal-badge" *ngIf="false">
                                        NEW
                                    </span>
                                    <div class="custom-card-image">
                                        <img class="img-fluid item-img" src="{{TItem.ImageUrl}}">
                                    </div>
                                    <div class="p-3 pt-4">
                                        <div class="custom-card-body">
                                            <div class="mb-2 Ttitle">
                                                <a class="text-black text-limit-2">{{TItem.Title}}</a>
                                            </div>
                                            <p class="text-limit-1">
                                                <i class="fa fa-location-dot"></i>&nbsp;{{TItem?.CityAreaName}},{{TItem?.CityName}}
                                            </p>
                                        </div>
                                        <div class="custom-card-footer mb-2 d-flex justify-content-between">
                                            <div class="d-flex">
                                                <div class="discount-price px-2">
                                                    <span [innerHtml]="_HelperService.AppConfig.CurrencySymbol"></span> {{TItem.SellingPrice | number: "1.0-1" || "--"}}
                                                </div>
                                                <div class="actual-price px-2">
                                                    <span [innerHtml]="_HelperService.AppConfig.CurrencySymbol"></span> {{TItem.ActualPrice | number: "1.0-1" || "--"}}
                                                </div> 
                                            </div>
                                            <div>
                                                <button class="discount-btn btn">
                                                    {{TItem.DiscountPercentage || calculatePercentageOff(TItem.ActualPrice, TItem.SellingPrice) }} % off
                                                </button>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </a>
                        </ng-template>
                    </ng-container>
                </owl-carousel-o>
            </div>
            <div class="col-12 p-0" *ngIf="_HelperService.IsProcessing && _DataService._DealsPromotionFeatured.length == 0">
                <ng-container [ngTemplateOutlet]="skeletonLoaderTemplate"></ng-container>
            </div>
        </div>
    </div>
    <div class="container-fluid p-0 discount_promo-section" id="deals-carousel">
        <div id="category-off-section" *ngIf="_HomeBannerimg.length>0">
            <div class="container py-3">
                <div class="row g-3 d-flex justify-content-center">
                    <div class="col-6 mt-0 p-1" *ngFor="let images of _HomeBannerimg;let i=index;" [ngClass]="{'col-6':i<=1,'col-4':i>1}">
                        <div (click)="BannerImagesClick(images)" style="cursor: pointer;">
                            <a target="_blank" [href]="images?.Url">
                                <div class="category-off-item" [ngStyle]="{'background-image': 'linear-gradient(rgba(0, 0, 0, 0.7),rgba(0, 0, 0, 0.7)),url(' + images.ImageUrl + ')'}">
                                    <h1>{{images?.CategoryName}}</h1>
                                    <p class="mb-0">{{images?.DiscountPercentage || images?.CategoryText}}% Off</p> 
                                </div>
                            </a>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <div class="container" id="deals-carousel">
        <div class="form-row my-5" *ngIf="_HelperService.IsProcessing || _DataService._DealsProducts.length > 0">
            <div class="col-12 deals-carousel-item_header d-flex align-items-center header_prod">
                <h6 class="mb-0 px-3 d-flex justify-content-between w-100">
                    <span>Product Deals</span>
                    <span class="cursor-pointer" routerLink="/deals" [queryParams]="{'category': 'product-deals'}">See
                        all
                        <i class="fa fa-angle-right"></i>
                    </span>
                </h6>
            </div>
            <div class="col-12 p-0" *ngIf="_DataService._DealsProducts.length > 0">
                <owl-carousel-o [options]="_SLGen" (dragging)="on_carouselDrag($event.dragging)" *ngIf="_DataService._DealsProducts">
                    <ng-container *ngFor="let TItem of _DataService._DealsProducts">
                        <ng-template carouselSlide [id]="TItem.ReferenceKey" [width]="innerWidth > 575.98 ? 294 : 191">
                            <a (click)="navigateToRoute(['/buydeal/', TItem.Slug], TItem)" class="cursor-pointer">
                                <div class="custom-card shadow-sm h-100" [ngStyle]="{'opacity': TItem.IsSoldout ? '0.7': '1'}">
                                    <span class="dealtimer soldout-badge" *ngIf="TItem.IsSoldout">
                                        SOLD OUT
                                    </span>
                                    <span class="dealtimer new-deal-badge" *ngIf="false">
                                        NEW
                                    </span>
                                    <div class="custom-card-image">
                                        <img class="img-fluid item-img" src="{{TItem.ImageUrl}}">
                                    </div>
                                    <div class="p-3 pt-4">
                                        <div class="custom-card-body">
                                            <div class="mb-2 Ttitle">
                                                <a class="text-black text-limit-2">{{TItem.Title}}</a>
                                            </div>
                                            <p class="text-limit-1">
                                                <i class="fa fa-location-dot"></i>&nbsp;{{TItem?.CityAreaName}},{{TItem?.CityName}}
                                            </p>
                                        </div>
                                        <div class="custom-card-footer mb-2 d-flex justify-content-between">
                                            <div class="d-flex">
                                                <div class="discount-price px-2">
                                                    <span [innerHtml]="_HelperService.AppConfig.CurrencySymbol"></span> {{TItem.SellingPrice | number: "1.0-1" || "--"}}
                                                </div>
                                                <div class="actual-price px-2">
                                                    <span [innerHtml]="_HelperService.AppConfig.CurrencySymbol"></span> {{TItem.ActualPrice | number: "1.0-1" || "--"}}
                                                </div> 
                                            </div>
                                            <div>
                                                <button class="discount-btn btn">
                                                    {{TItem.DiscountPercentage || calculatePercentageOff(TItem.ActualPrice, TItem.SellingPrice) }} % off
                                                </button>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </a>
                        </ng-template>
                    </ng-container>
                </owl-carousel-o>
            </div>
            <div class="col-12 p-0" *ngIf="_HelperService.IsProcessing && _DataService._DealsProducts.length == 0">
                <ng-container [ngTemplateOutlet]="skeletonLoaderTemplate"></ng-container>
            </div>
        </div>

        <div class="form-row mb-5" *ngIf="_HelperService.IsProcessing || _DataService._DealsPromotionNew.length > 0">
            <div class="col-12 deals-carousel-item_header flash-top d-flex align-items-center">
                <h6 class="mb-0 px-3 d-flex justify-content-between w-100">
                    <span>Fresh Deals - Grab early</span>
                    <span class="cursor-pointer" routerLink="/deals" [queryParams]="{'category': 'fresh-deals'}">See all
                        <i class="fa fa-angle-right"></i>
                    </span>
                </h6>
            </div>
            <div class="col-12 p-0" *ngIf="_DataService._DealsPromotionNew.length > 0">
                <owl-carousel-o [options]="_SLGen" (dragging)="on_carouselDrag($event.dragging)" *ngIf="_DataService._DealsPromotionNew">
                    <ng-container *ngFor="let TItem of _DataService._DealsPromotionNew">
                        <ng-template carouselSlide [id]="TItem.ReferenceKey" [width]="innerWidth > 575.98 ? 294 : 191">
                            <a (click)="navigateToRoute(['/buydeal/', TItem.Slug], TItem)" class="cursor-pointer">
                                <div class="custom-card shadow-sm h-100" [ngStyle]="{'opacity': TItem.IsSoldout ? '0.7': '1'}">
                                    <span class="dealtimer soldout-badge" *ngIf="TItem.IsSoldout">
                                        SOLD OUT
                                    </span>
                                    <span class="dealtimer new-deal-badge" *ngIf="false">
                                        NEW
                                    </span>
                                    <div class="custom-card-image">
                                        <img class="img-fluid item-img" src="{{TItem.ImageUrl}}">
                                    </div>
                                    <div class="p-3 pt-4">
                                        <div class="custom-card-body">
                                            <div class="mb-2 Ttitle">
                                                <a class="text-black text-limit-2">{{TItem.Title}}</a>
                                            </div>
                                            <p class="text-limit-1">
                                                <i class="fa fa-location-dot"></i>&nbsp;{{TItem?.CityAreaName}},{{TItem?.CityName}}
                                            </p>
                                        </div>
                                        <div class="custom-card-footer mb-2 d-flex justify-content-between">
                                            <div class="d-flex">
                                                <div class="discount-price px-2">
                                                    <span [innerHtml]="_HelperService.AppConfig.CurrencySymbol"></span> {{TItem.SellingPrice | number: "1.0-1" || "--"}}
                                                </div>
                                                <div class="actual-price px-2">
                                                    <span [innerHtml]="_HelperService.AppConfig.CurrencySymbol"></span> {{TItem.ActualPrice | number: "1.0-1" || "--"}}
                                                </div> 
                                            </div>
                                            <div>
                                                <button class="discount-btn btn">
                                                    {{TItem.DiscountPercentage || calculatePercentageOff(TItem.ActualPrice, TItem.SellingPrice) }} % off
                                                </button>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </a>
                        </ng-template>
                    </ng-container>
                </owl-carousel-o>
            </div>
            <div class="col-12 p-0" *ngIf="_HelperService.IsProcessing && _DataService._DealsPromotionNew.length == 0">
                <ng-container [ngTemplateOutlet]="skeletonLoaderTemplate"></ng-container>
            </div>
        </div>

        <div class="form-row mb-5" *ngIf="_HelperService.IsProcessing || _DataService._DealsPromotionEndingSoon.length > 0">
            <div class="col-12 deals-carousel-item_header flash-top d-flex align-items-center">
                <h6 class="mb-0 px-3 d-flex justify-content-between w-100">
                    <span>Ending Soon</span>
                    <span class="cursor-pointer" routerLink="/deals" [queryParams]="{'category': 'ending-soon'}">See all
                        <i class="fa fa-angle-right"></i>
                    </span>
                </h6>
            </div>
            <div class="col-12 p-0" *ngIf="_DataService._DealsPromotionEndingSoon.length > 0">
                <owl-carousel-o [options]="_SLGen" (dragging)="on_carouselDrag($event.dragging)" *ngIf="_DataService._DealsPromotionEndingSoon">
                    <ng-container *ngFor="let TItem of _DataService._DealsPromotionEndingSoon">
                        <ng-template carouselSlide [id]="TItem.ReferenceKey" [width]="innerWidth > 575.98 ? 294 : 191">
                            <a (click)="navigateToRoute(['/buydeal/', TItem.Slug], TItem)" class="cursor-pointer">
                                <div class="custom-card shadow-sm h-100" [ngStyle]="{'opacity': TItem.IsSoldout ? '0.7': '1'}">
                                    <span class="dealtimer soldout-badge" *ngIf="TItem.IsSoldout">
                                        SOLD OUT
                                    </span>
                                    <span class="dealtimer" *ngIf="!TItem.IsSoldout && TItem.CountdownConfig.isTimeLessThanDay">
                                        <i class="icofont-clock-time"></i>
                                        &nbsp;
                                        <countdown [config]=" TItem.CountdownConfig"></countdown>
                                    </span>

                                    <span class="dealtimer new-deal-badge" *ngIf="false">
                                        NEW
                                    </span>
                                    <div class="custom-card-image">
                                        <img class="img-fluid item-img" src="{{TItem.ImageUrl}}">
                                    </div>
                                    <div class="p-3 pt-4">
                                        <div class="custom-card-body">
                                            <div class="mb-2 Ttitle">
                                                <a class="text-black text-limit-2">{{TItem.Title}}</a>
                                            </div>
                                            <p class="text-limit-1">
                                                <i class="fa fa-location-dot"></i>&nbsp;{{TItem?.CityAreaName}},{{TItem?.CityName}}
                                            </p>
                                        </div>
                                        <div class="custom-card-footer mb-2 d-flex justify-content-between">
                                            <div class="d-flex">
                                                <div class="discount-price px-2">
                                                    <span [innerHtml]="_HelperService.AppConfig.CurrencySymbol"></span> {{TItem.SellingPrice | number: "1.0-1" || "--"}}
                                                </div>
                                                <div class="actual-price px-2">
                                                    <span [innerHtml]="_HelperService.AppConfig.CurrencySymbol"></span> {{TItem.ActualPrice | number: "1.0-1" || "--"}}
                                                </div> 
                                            </div>
                                            <div>
                                                <button class="discount-btn btn">
                                                    {{TItem.DiscountPercentage || calculatePercentageOff(TItem.ActualPrice, TItem.SellingPrice) }} % off
                                                </button>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </a>
                        </ng-template>
                    </ng-container>
                </owl-carousel-o>
            </div>
            <div class="col-12 p-0" *ngIf="_HelperService.IsProcessing && _DataService._DealsPromotionEndingSoon.length == 0">
                <ng-container [ngTemplateOutlet]="skeletonLoaderTemplate"></ng-container>
            </div>
        </div>
    </div>
    
    <div class="container" id="deals-carousel">
        <div class="form-row mb-5" *ngIf="_DataService.CustomerDealHistory.length > 3">
            <div class="col-12 deals-carousel-item_header d-flex align-items-center" style="background-color: #EFD1E6">
                <h6 class="mb-0 px-3 d-flex justify-content-between w-100">
                    <span>Recently Viewed Deals</span>
                    <span class="cursor-pointer" routerLink="/deals" [queryParams]="{'category': 'recently-vieweddeals'}">See all
                        <i class="fa fa-angle-right"></i>
                    </span>
                </h6>
            </div>
            <div class="col-12 p-0">
                <owl-carousel-o [options]="_SLGen" (dragging)="on_carouselDrag($event.dragging)">
                    <ng-container *ngFor="let TItem of _DataService.CustomerDealHistory">
                        <ng-template carouselSlide [id]="TItem.ReferenceKey" [width]="innerWidth > 575.98 ? 294 : 191">
                            <a (click)="navigateToRoute(['/buydeal/', TItem.Slug], TItem)" class="cursor-pointer">
                                <div class="custom-card shadow-sm h-100" [ngStyle]="{'opacity': TItem.IsSoldout ? '0.7': '1'}">
                                    <span class="dealtimer soldout-badge" *ngIf="TItem.IsSoldout">
                                        SOLD OUT
                                    </span>
                                    <span class="dealtimer new-deal-badge" *ngIf="false">
                                        NEW
                                    </span>
                                    <div class="custom-card-image">
                                        <img class="img-fluid item-img" src="{{TItem.ImageUrl}}">
                                    </div>
                                    <div class="p-3 pt-4">
                                        <div class="custom-card-body">
                                            <div class="mb-2 Ttitle">
                                                <a class="text-black text-limit-2">{{TItem.Title}}</a>
                                            </div>
                                            <p class="text-limit-1">
                                                <i class="fa fa-location-dot"></i>&nbsp;{{TItem?.CityAreaName}},{{TItem?.CityName}}
                                            </p>
                                        </div>
                                        <div class="custom-card-footer mb-2 d-flex justify-content-between">
                                            <div class="d-flex">
                                                <div class="discount-price px-2">
                                                    <span [innerHtml]="_HelperService.AppConfig.CurrencySymbol"></span> {{TItem.SellingPrice | number: "1.0-1" || "--"}}
                                                </div>
                                                <div class="actual-price px-2">
                                                    <span [innerHtml]="_HelperService.AppConfig.CurrencySymbol"></span> {{TItem.ActualPrice | number: "1.0-1" || "--"}}
                                                </div> 
                                            </div>
                                            <div>
                                                <button class="discount-btn btn">
                                                    {{TItem.DiscountPercentage || calculatePercentageOff(TItem.ActualPrice, TItem.SellingPrice) }} % off
                                                </button>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </a>
                        </ng-template>
                    </ng-container>
                </owl-carousel-o>
            </div>
        </div>
    </div>
</section>

<ng-template #skeletonLoaderTemplate>
    <owl-carousel-o [options]="_SLGen" (dragging)="on_carouselDrag($event.dragging)">
        <ng-container *ngFor="let TItem of [1,2,3,4]">
            <ng-template carouselSlide id="{{TItem.toString()+'ref'}}" [width]="innerWidth > 575.98 ? 294 : 191">
                <a class="cursor-pointer">
                    <div class="custom-card shadow-sm h-100">
                        <div class="custom-card-image">
                            <ngx-skeleton-loader count="1" class="img-fluid item-img" [theme]="{width: '100%', height: '220px', 'margin-bottom': '0', 'border-radius': '10px'}"></ngx-skeleton-loader>
                        </div>
                        <div class="p-3 pt-4">
                            <div class="custom-card-body">
                                <div class=" Ttitle">
                                    <ngx-skeleton-loader count="1" [theme]="{width: '100%', height: '20px', 'margin-bottom': '0'}"></ngx-skeleton-loader>
                                </div>
                                <p>
                                    <ngx-skeleton-loader count="1" [theme]="{width: '80%', height: '15px', 'margin-bottom': '0'}"></ngx-skeleton-loader>
                                </p>
                            </div>
                            <div class="custom-card-footer mb-2 d-flex align-items-center">
                                <div class="mr-4 d-flex justify-content-center">
                                    <ngx-skeleton-loader count="1" [theme]="{width: '75px', height: '35px', 'margin-bottom': '0', 'background-color':'#B11A8330'}"></ngx-skeleton-loader><br>
                                </div>
                                <div class="text-black actualprice">
                                    <ngx-skeleton-loader count="1" [theme]="{width: '100px', height: '15px', 'margin-bottom': '0'}"></ngx-skeleton-loader>
                                </div>
                            </div>
                        </div>
                    </div>
                </a>
            </ng-template>
        </ng-container>
    </owl-carousel-o>
</ng-template>
